package utils

import (
	"context"
	"github.com/go-playground/assert/v2"
	"go.mongodb.org/mongo-driver/bson"
	"testing"
)

func TestMongo_InitCli(t *testing.T) {

	m,err := NewMongo("192.168.31.129:27017/snc","snc","shuoren@2019snc",
		WithDB("snc"),WithCollection("alarm"))

	defer m.Close()

	if err != nil{
		t.Fatal(err)
	}

	c,err := m.Cli.Find(context.Background(),bson.M{}).Count()
	if err != nil{
		t.Fatal(err)
	}
	count := int64(37415)
	assert.Equal(t,c,count)
}

func TestMongo_InitClient(t *testing.T){
	m,err := NewMongo("192.168.31.129:27017/snc","snc","shuoren@2019snc")

	defer m.Close()
	if err != nil{
		t.Fatal(err)
	}
	c,err := m.Client.Database("snc").Collection("alarm").Find(context.Background(),bson.M{}).Count()
	if err != nil{
		t.Fatal(err)
	}
	count := int64(37415)
	assert.Equal(t,c,count)
}