package utils

import (
	"fmt"
	"strconv"
)

// int to string
func IntToString(a int) string {
	return strconv.Itoa(a)
}

// float64 to string
func Float64ToString(a float64, point int) string {
	a = FloatRound(a, point)
	return strconv.FormatFloat(a, 'f', -1, 64)
}

// string to int
func StringToInt(s string) int {
	i, _ := strconv.Atoi(s)
	return i
}

// string to float64
func StringToFloat64(s string) float64 {
	f, _ := strconv.ParseFloat(s, 64)
	return f
}

// float round point
func FloatRound(f float64, n int) float64 {
	format := "%." + strconv.Itoa(n) + "f"
	res, _ := strconv.ParseFloat(fmt.Sprintf(format, f), 64)
	return res
}
